## gdm 2.32.1

=== debian/changelog ===
gdm (2.32.1-0ubuntu3) natty; urgency=low

  * debian/patches/36_language_environment_settings.patch:
    - Modified test of whether it is a guest session to cover e.g.
      "gnome-classic-guest-restricted".

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Thu, 14 Apr 2011 12:19:13 +0200

gdm (2.32.1-0ubuntu2) natty; urgency=low

  * Translate the cancel button (LP: #757468).

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 12 Apr 2011 11:27:16 +0100

gdm (2.32.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/patches/01git_xdmcp_ipv6.patch:
  * debian/patches/43_CVE-2011-0727.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 08 Apr 2011 16:35:19 +1000

gdm (2.32.0-0ubuntu15) natty; urgency=low

  * SECURITY UPDATE: race condition allowing privilege escalation
    - debian/patches/43_CVE-2011-0727.patch: fix
      daemon/gdm-session-worker.c to copy files as session user rather
      than root followed by a subsequent chown. (LP: #746053)
    - CVE-2011-0727

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 04 Apr 2011 20:42:03 -0700

gdm (2.32.0-0ubuntu14) natty; urgency=low

  * debian/patches/24_respect_system_minuid.patch:
    - Ignore entries from ck-history that are using system UIDs (LP: #696038)
  * debian/patches/42_no_ecryptfs_autologin.patch:
    - Don't autologin ecryptfs users (LP: #284443)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 01 Apr 2011 15:49:50 +1100

gdm (2.32.0-0ubuntu13) natty; urgency=low

  [ Gunnar Hjalmarsson ]
  * debian/patches/36_language_environment_settings.patch:
    - Make the first item in the system LANGUAGE list serve as default
      language for new users (LP: #740754).
    - Do not apply code for faking $GDM_LANG if it is the $USER's
      first login ever (LP: #740754).
    - Check $DESKTOP_SESSION instead of $GDMSESSION to determine if
      it is a guest session.

  [ Martin Pitt ]
  * Add 41_pt_time_format.patch: Fix time format for Portugal. Thanks
    jbatista! (LP: #696560)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 31 Mar 2011 18:09:26 +0200

gdm (2.32.0-0ubuntu12) natty; urgency=low

  * Make splash dependant on either a graphics device appearing or
    udev-graphics-fallback completing.  (LP: #702090)

 -- Andy Whitcroft <apw@canonical.com>  Fri, 18 Mar 2011 22:39:03 +0000

gdm (2.32.0-0ubuntu11) natty; urgency=low

  * debian/gdm.upstart: revert recent update it has issues and break gdm on
    quite some configurations (lp: #735805)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Mar 2011 18:00:32 +0100

gdm (2.32.0-0ubuntu10) natty; urgency=low

  * debian/patches/01git_xdmcp_ipv6.patch:
    - git commit to fix xdmcp issue when ipv6 is used

  [ Martin Pitt ]
  * Add 00git_passwordless_login_crash.patch: Disable the login button in
    MODE_AUTHENTICATION if no query is pending. This avoids a crash when
    having passwordless logins. Original patch from Michael Braun, slightly
    changed for upstream git head, backported to 2.32. (LP: #724205)

  [ James Hunt ]
  * debian/gdm.upstart: gdm will now restart as expected if a user
    runs "telinit 2" from single-user mode (LP: #436936).

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Mar 2011 18:45:45 +0100

gdm (2.32.0-0ubuntu9) natty; urgency=low

  * debian/patches/36_language_environment_settings.patch:
    - Set LC_MESSAGES explicitly only if the value does not equal
      $LANG, to prevent that side effects when connecting to other
      computers via ssh appear unnecessarily.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Wed, 23 Feb 2011 20:53:50 +0100

gdm (2.32.0-0ubuntu8) natty; urgency=low

  [ Gunnar Hjalmarsson ]
  * debian/patches/36_language_environment_settings.patch:
    - Use locale names with '.UTF-8' instead of '.utf8' when setting
      the LC_MESSAGES environment variable (LP: #666565).
  * debian/patches/40_one_lang_option_per_translation.patch:
    - Modification of /usr/share/gdm/language-options so an absent
      translation directory won't cause it to exit.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 14 Feb 2011 15:53:38 +0000

gdm (2.32.0-0ubuntu7) natty; urgency=low

  [ Gunnar Hjalmarsson ]
  * debian/patches/40_one_lang_option_per_translation.patch:
    - The option list in the language chooser changed so the items
      represent available translations instead of locales
      (LP: #693337).
    - setlocale() validation removed (not applicable).
    - Show locale variants in the list of language options
      (LP: #408474).
  * debian/patches/36_language_environment_settings.patch:
    - Skip the encoding part in the dmrc "Language" value. It's not
      a locale name, so let's not give the impression it is.
    - Take main country code into account when generating
      a locale name for LC_MESSAGES.

  [ Kees Cook ]
  * Restore 24_respect_system_minuid.patch: upstream does not handle
    reading login.defs yet (LP: #708911).

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Thu, 10 Feb 2011 10:07:31 +0100

gdm (2.32.0-0ubuntu6) natty; urgency=low

  * Backported some changes from Debian
  * debian/patches/39_grep_path.patch:
    - Don’t hardcode grep to a wrong location.
  * debian/gdm.postrm:
    - correctly deal with uninstalls while gdm is still running (lp: #613150)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Jan 2011 16:53:46 +0100

gdm (2.32.0-0ubuntu5) natty; urgency=low

  [ Martin Pitt ]
  * Add 38_user_chooser_focus.patch: Correctly give focus to the user chooser
    on startup. Patch by Vincent Untz, merci! (LP: #687440)

  [ James Hunt ]
  * debian/gdm.upstart: Remove starting-dm event (which was missed from a
    previous commit) and add login-session-start and desktop-session-start
    events (LP: #706842).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 24 Jan 2011 17:14:25 +0100

gdm (2.32.0-0ubuntu4) natty; urgency=low

  * debian/control.in:
    - updated the gtk requirement to the version having the new api required

  [ Gunnar Hjalmarsson ]

