=== debian/control ===
Source: gdm
Section: gnome
Priority: optional
Maintainer: Sebastien Bacher <seb128@ubuntu.com>
Build-Depends: cdbs, 
               debhelper (>= 7.3.15ubuntu2),
               gnome-common,
               autotools-dev, 
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.22), 
               libdbus-glib-1-dev (>= 0.74), 
               libx11-dev, 
               libgtk2.0-dev (>= 2.23.90-0ubuntu4), 
               libgconf2-dev, 
               gnome-doc-utils,
               libpanel-applet2-dev, 
               gconf2,
               libattr1-dev,
               libpam0g-dev, 
               libxdmcp-dev, 
               libwrap0-dev, 
               libxi-dev, 
               libxinerama-dev, 
               libxklavier-dev,
               libpolkit-gobject-1-dev,
               libcanberra-gtk-dev (>= 0.4),
               libselinux1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], 
               iso-codes,
               libupower-glib-dev (>= 0.9.0)
Standards-Version: 3.9.1
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gdm/ubuntu

Package: gdm
Conflicts: gdm-snapshot, fast-user-switch-applet, libxklavier15 (<< 4.0-0ubuntu2), xsplash (<< 0.8)
Replaces: gdm-snapshot, fast-user-switch-applet
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends},
         adduser,
         libpam-modules (>= 0.72-1),
         libpam-runtime (>= 0.76-13.1),
         gnome-session-bin,
         kbd | console-tools,
         udev (>= 166-0ubuntu4)
Recommends: xserver-xorg,
         metacity | x-window-manager,
         gnome-settings-daemon | xfconf
Suggests: locales,
          uswsusp,
          libpam-gnome-keyring,
          gnome-power-manager,
          gnome-orca,
          gok,
          gnome-mag
Provides: x-display-manager
Breaks: usplash
Description: GNOME Display Manager
 gdm provides the equivalent of a "login:" prompt for X displays- it
 pops up a login window and starts an X session.
 .
 It provides all the functionality of xdm, including XDMCP support for
 managing remote displays.
 .
 The greeting window is written using the GNOME libraries and hence
 looks like a GNOME application- even to the extent of supporting
 themes! By default, the greeter is run as an unprivileged user for
 security.
