=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/gdm/([\d\.]+)[0-9]/gdm-([\d\.]+)\.tar\.gz
