## gdm 2.32.1-0ubuntu3.2+5.0trisquel1

=== debian/changelog ===
gdm (2.32.1-0ubuntu3.2+5.0trisquel1) dagda; urgency=low

  * Changed icon theme

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 17 Jul 2011 23:03:29 +0000

gdm (2.32.1-0ubuntu3.2) natty-security; urgency=low

  * SECURITY UPDATE: don't allow use of browser in the GDM session
  * 90_register-bin-true-as-URI-scheme-handler-for-several-schemes.patch:
    provide custom MIME configuration for the gdm user to ensure no default
    URI scheme handler is used
    - CVE-2011-XXXX

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 24 May 2011 07:54:27 -0500
