=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gdm
 Section: gnome
 Priority: optional
-Maintainer: Sebastien Bacher <seb128@ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: cdbs, 
                debhelper (>= 7.3.15ubuntu2),
                gnome-common,
