## gdm 3.0.4

=== debian/changelog ===
gdm (3.0.4-0ubuntu15) precise; urgency=low

  * debian/patches/45_time_display_on_greeter.patch:
    - Adapt to forwarded version of the patch.
    - Let the LANG environment variable serve as fallback when
      determining the display language for the weekday, since LANG
      has been redefined in Ubuntu to represent language instead of
      regional formats. This change also ought to make the patch work
      as intended upstream.
  * debian/gdm.upstart:
    - No need to export LC_MESSAGES since it's not set any longer.
  * debian/patches/ubuntu_no_LANG_setting_in_Xsession.patch:
    - Renamed from "ubuntu_i18n_oneiric.patch".
    - No need to unset LC_MESSAGES etc. since they are not set any
      longer.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Tue, 31 Jan 2012 17:45:20 +0100

gdm (3.0.4-0ubuntu14) precise; urgency=low

  * debian/control.in: Add Breaks: to the obsolete gdm-guest-session to get it
    cleaned up during upgrades. (LP: #915722)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Jan 2012 18:37:43 +0100

gdm (3.0.4-0ubuntu13) precise; urgency=low

  * debian/gdm.config: Do not show debconf prompt during dist-upgrades.
    lightdm will be installed and should set itself as default WM.
    (LP: #911813)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 Jan 2012 13:31:19 +0100

gdm (3.0.4-0ubuntu12) precise; urgency=low

  * drop unneeded build-depends on libpolkit-{gtk,gobject}-1-dev

 -- Andreas Moog <amoog@ubuntu.com>  Wed, 21 Dec 2011 20:43:56 +0100

gdm (3.0.4-0ubuntu11) oneiric; urgency=low

  * don't start on graphics-device-added; reintroducing this reverted the fix
    for bug #615549 from maverick without explanation.
  * clean up the completely illegible start rule for debian/gdm.upstart,
    killing off the unnecessary parentheses
  * debian/gdm.upstart: when gdm is shut down by a runlevel call, emit an
    upstart event that can be caught by plymouth so it can distinguish
    between the DM shutting down for a runlevel change vs. other causes.
    LP: #854329.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Sep 2011 14:26:18 -0700

gdm (3.0.4-0ubuntu10) oneiric; urgency=low

  * debian/gdm.prerm: Stop asking for <dm>/daemon_name debconf question, it
    does not exist for lightdm and is not really necessary. Fixes prerm error
    and confusing debconf prompts when removing gdm. (LP: #804821)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 14 Sep 2011 11:12:18 +0200

gdm (3.0.4-0ubuntu9) oneiric; urgency=low

  * debian/patches/ubuntu_i18n_oneiric.patch:
    - Unset LC_MESSAGES, LC_CTYPE, and LC_COLLATE if they equal LANG,
      in order to prevent that side effects, when connecting to other
      computers via ssh, appear unnecessarily.
    - Do not override the LANG value resulting from sourcing
      /etc/default/locale and ~/.profile.
  * debian/patches/36_language_environment_settings.patch:
    - Not applicable any longer, so we drop it.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Mon, 15 Aug 2011 10:09:37 +0200

gdm (3.0.4-0ubuntu8) oneiric; urgency=low

  * debian/patches/15_default_session.patch:
    - Set ubuntu as default session

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Aug 2011 18:30:53 +0200

gdm (3.0.4-0ubuntu7) oneiric; urgency=low

  * debian/patches/00git_use_new_power_interface.patch:
    - Use the new power DBus interface from gnome-settings-daemon

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Wed, 27 Jul 2011 11:31:26 +0200

gdm (3.0.4-0ubuntu6) oneiric; urgency=low

  * debian/control
    - Remove duplicate cdbs build-dep
    - Minor changes to reduce Debian diff
  * debian/rules
    - Add configure flags from Debian to correctly handle $PATH
      and locale

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2011 10:36:48 +0200

gdm (3.0.4-0ubuntu5) oneiric; urgency=low

  * New patch, ubuntu_xresources_is_a_dir, fixes loading of Debian/Ubuntu
    style /etc/X11/Xresources/*.
  * Update ubuntu_plymouth patch to pass -background none to the Xserver
    instead of -nr which wont be supported in the future; LP: #806857.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 13 Jul 2011 17:30:13 +0200

gdm (3.0.4-0ubuntu4) oneiric; urgency=low

  * debian/control, debian/gdm.postinst, debian/gdm.postrm, debian/gdm.preinst
    debian/60xdg_path-on-session, debian/gdm.install,
    - remove setting the xdg path on GDM SESSION as now in x11-common using a
      more generic environment variable shared between gdm and lightdm
    - pre-depends on new dpkg-maintscript-helper to achieve the operation

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 06 Jul 2011 12:15:36 +0200

gdm (3.0.4-0ubuntu3) oneiric; urgency=low

  * debian/gdm.upstart: Don't start gdm if /etc/X11/default-display-manager
    does not exist and lightdm is installed. (LP: #804262)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 01 Jul 2011 17:27:39 +0100

gdm (3.0.4-0ubuntu2) oneiric; urgency=low

  * Drop unnecessary libaudit-dev build dependency, which is in universe.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 30 Jun 2011 15:23:17 +0100

gdm (3.0.4-0ubuntu1) oneiric; urgency=low

  [ Sebastien Bacher ]
  * New upstream version 3.0.0
  * Start cleaning for the GNOME3 update
  * debian/patches/00git_passwordless_login_crash.patch,
    debian/patches/17_use_timed_login_after_autologin.patch,
    debian/patches/19_no_greeter_for_autologin.patch,
    debian/patches/37_disable_resize_grip.patch,
    debian/patches/38_user_chooser_focus.patch,
    debian/patches/43_translate_cancel_button.patch:
    - those are fixed is in the new version
  * debian/patches/08_use_polkit_for_settings.patch,
    debian/patches/09_gdmsetup.patch:
    - drop gdmsetup, the options should be integrated in gnome-control-center 
      (the autologin one is in the user account configuration for example)
  * debian/patches/09_gdmserver_gconf_settings.patch:
    - the gconf hack to turn on and off login sounds, that should be

