=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gdm
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: gnome-pkg-tools (>= 0.16.3),
               debhelper (>= 5),
               cdbs,
               dh-autoreconf,
               intltool (>= 0.40.0),
               gnome-doc-utils,
               libdbus-glib-1-dev (>= 0.74),
               libglib2.0-dev (>= 2.27.4),
               libgtk-3-dev (>= 2.91.1),
               libpango1.0-dev (>= 1.3.0),
               libgconf2-dev (>= 2.31.3),
               libxklavier-dev (>= 4.0),
               libcanberra-gtk3-dev (>= 0.4),
               libfontconfig1-dev (>= 2.5.0),
               libupower-glib-dev (>= 0.9.0),
               libaccountsservice-dev (>= 0.6.12),
               gnome-settings-daemon-dev (>= 2.91.2),
               libx11-dev,
               libxau-dev,
               libxrandr-dev,
               libxt-dev,
               libxext-dev,
               check (>= 0.9.4),
               libpam0g-dev,
               libxdmcp-dev,
               libwrap0-dev,
               libxft-dev,
               libxi-dev,
               libxinerama-dev,
               libselinux1-dev [linux-any],
               libattr1-dev [linux-any],
               iso-codes,
               docbook-xml,
               gsettings-desktop-schemas
Standards-Version: 3.9.2
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gdm/ubuntu

Package: gdm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         libpam-modules (>= 0.72-1),
         libpam-runtime (>= 0.76-13.1),
         accountsservice (>= 0.6.12),
         gnome-session-bin,
         kbd | console-tools,
         udev (>= 166-0ubuntu4)
Pre-Depends: dpkg (>= 1.15.7.2)
Recommends: xserver-xorg,
         metacity | x-window-manager,
         gnome-settings-daemon | xfconf
Suggests: libpam-gnome-keyring,
          locales,
          uswsusp,
          gnome-power-manager,
          gnome-mag,
          gnome-orca,
          gok
Provides: x-display-manager
Breaks: usplash, gdm-guest-session
Description: GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it 
 asks for a login and starts X sessions.
 .
 It provides all the functionality of XDM, including XDMCP support for
 managing remote displays, and extends it with the ability to start X 
 servers on demand.
 .
 The greeter is written using the GNOME libraries and hence looks like a 
 GNOME application - even to the extent of supporting themes! 
 .
 This package contains the next generation GDM, which was developed 
 using the technologies on which GNOME 3 is based.
