=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
+include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
@@ -11,7 +12,16 @@
 DEB_AUTO_UPDATE_AUTOHEADER=1
 DEB_AUTO_UPDATE_AUTOMAKE=1.11
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --with-at-spi-registryd-directory=/usr/lib/at-spi --enable-ipv6=yes --with-incomplete-locales
+DEB_CONFIGURE_SCRIPT_ENV += X_PATH="/usr/bin" \
+			    X_SERVER_PATH="/usr/bin" \
+			    X_SERVER="/usr/bin/Xorg"
+
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
+		--enable-ipv6=yes \
+		--with-at-spi-registryd-directory=/usr/lib/at-spi \
+		--with-default-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
+		--with-lang-file=/etc/default/locale \
+		--with-incomplete-locales
 
 DEB_DH_INSTALLINIT_ARGS = --no-start
 
@@ -30,11 +40,6 @@
 	# move custom.conf to the examples
 	mkdir -p debian/gdm/usr/share/doc/gdm/examples
 	mv debian/gdm/etc/gdm/custom.conf debian/gdm/usr/share/doc/gdm/examples
-	mv debian/gdm/usr/lib/bonobo/servers/GNOME_FastUserSwitchApplet.server debian/gdm/usr/lib/bonobo/servers/GNOME_FastUserSwitchAppletGdm.server
-	rm -r debian/gdm/usr/lib/bonobo debian/gdm/usr/share/gnome-2.0 debian/gdm/usr/lib/gdm/gdm-user-switch-applet
-	# install default settings
-	mkdir debian/gdm/var/lib/gdm/.gconf.defaults
-	install -m 664 debian/%gconf-tree.xml debian/gdm/var/lib/gdm/.gconf.defaults
 	# we install onboard (debian/onboard.desktop), and do not have gok
 	install -m 644 debian/onboard.desktop debian/gdm/usr/share/gdm/autostart/LoginWindow/
 	rm debian/gdm/usr/share/gdm/autostart/LoginWindow/gok.desktop
