## gdm 3.6.1

=== debian/changelog ===
gdm (3.6.1-0ubuntu1) quantal-proposed; urgency=low

  [ Jeremy Bicha ]
  * New upstream release (LP: #1067492)
    - Fix "Switch User" not working in Unity or GNOME Classic,
      thanks Tim! (LP: #1057841)
  * debian/patches/ubuntu_user_switching.patch:
    - Dropped, applied in new version

  [ Tim Lunn ]
  * debian/gdm.prerm:
    - Do not try to stop gdm service if its not running. (LP: #1055359)

 -- Tim Lunn <tim@feathertop.org>  Tue, 16 Oct 2012 15:18:58 -0400

gdm (3.6.0-0ubuntu4) quantal; urgency=low

  * debian/patches
    - add 3 upstream patches to fix logout when autologin enabled.
      (LP: #1061993)
      - ubuntu_ensure_dirs.patch
      - ubuntu_slave-only-set-up-autologin.patch
      - ubuntu_daemon_autologin_tracking.patch
 
 -- Tim Lunn <tim@feathertop.org>  Sun, 07 Oct 2012 07:40:28 +1100

gdm (3.6.0-0ubuntu3) quantal; urgency=low

  * debian/patches
    - add ubuntu_user_switching.patch: Fix user switching (upstream)
      (LP: #1058338)
 -- Tim Lunn <darkxst@fastmail.fm>  Sat, 29 Sep 2012 06:37:07 +1000

gdm (3.6.0-0ubuntu2) quantal; urgency=low

  * debian/control.in:
    - Bump minimum gnome-session to 3.6 (LP: #1056936)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 26 Sep 2012 18:08:01 -0400

gdm (3.6.0-0ubuntu1) quantal; urgency=low

  [ Jeremy Bicha ]
  * New upstream bugfix release.
    - Fixes broken lock screen/switch user handling (LP: #1053666)
  * 09_default_session.patch:
    - Dropped, all the other Ubuntu flavors use LightDM and it only
      takes a gsettings override to set a different default session

  [ Tim Lunn ]
  * debian/gdm.config, debian/gdm.prerm:
    - Fix debconf scripts by copying what lightdm does (LP: #1055292)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 25 Sep 2012 21:48:50 -0400

gdm (3.5.92.1-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release.
  * 94_fix_greeter_not_disappearing.patch:
    - Dropped, applied in new version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 18 Sep 2012 21:04:49 -0400

gdm (3.5.91-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    - Revert dependency on gnome-shell; no longer needed
    - Build-depend on yelp-tools instead of gnome-doc-utils
    - Bump minimum glib
    - Drop build-depends on libxklavier-dev
  * debian/rules:
    - Add --with-authentication-agent-directory=/usr/lib/policykit-1-gnome
    - Drop --with-default-path, not needed as /etc/environment
      works correctly now (LP: #844103)
  * debian/patches/10_no_gettext.patch:
    - Don't run gettext since it conflicts with intltool
  * debian/patches/94_fix_greeter_not_disappearing.patch:
    - Fix login screen still displaying after logon when using
      gdm in fallback mode (LP: #1046601)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 05 Sep 2012 19:00:10 -0400

gdm (3.5.90+git20120827.b558e179-0ubuntu2) quantal; urgency=low

  * debian/control.in:
    - Depend on gnome-shell since gdm doesn't automatically use
      fallback mode if gnome-shell isn't installed
    - Don't recommend desktop-base

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 30 Aug 2012 16:08:16 -0400

gdm (3.5.90+git20120827.b558e179-0ubuntu1) quantal; urgency=low

  [ Fabien Tassin ]
  * New upstream release (LP: #1042495)
  * Sync with Debian. Remaining changes:
  * debian/*:
    - rename the package from gdm3 to gdm
    - comment out everything from debian/greeter.gsettings
      to get the Gnome Shell experience
  * debian/rules, debian/gdm.{postinst,postrm,init}:
    - change back user/group from Debian-gdm to gdm
    - update the lib name and gir path from libgdmgreeter to libgdm
    - update one pam profile name after the upstream rename of
      gdm-welcome to gdm-launch-environment
  * debian/rules:
    - drop --with-selinux (unrecognized options) and --with-pam-domain
      (unknown without 10_gdm_pam.patch - dropped below)
    - add --with-initial-vt=7 (see 06_first_vt.patch)
    - add --without-systemdsystemunitdir
  * debian/control*:
    - update to Standards-Version 3.9.3, no additional changes needed.
    - add libplymouth-dev to build-depends
  * debian/patches/*:
    - 04_reload_config.patch: dropped, applied in new version
    - 05_debug_xserver_core.patch: dropped, applied in new version
    - 06_first_vt.patch: dropped, replaced with --with-initial-vt=7
    - 08_frequent-users_greeter.patch: updated
    - 09_default_session.patch: updated
    - 10_gdm_pam.patch: dropped
    - 16_xserver_path.patch: dropped
    - 17_switch_on_finish.patch: dropped, applied in new version
    - 18_parametrize_create_display.patch: dropped, applied in new version
    - 19_static_transient_display.patch: dropped, applied in new version
    - 20_switch_kill_greeter.patch: dropped, applied in new version
    - 21_static_display_purge.patch: dropped
    - 22_noconsole.patch: updated
    - 23_start_polkit.patch: dropped, applied in new version
    - 91_shell_version_control.patch: dropped
    - 92_gsettings_path.patch: dropped
    - 93_private_lib.patch: updated
  * Merge changes from Ubuntu 3.0.4-0ubuntu16:
    - add debian/gdm.upstart (updated to run the main binary, and
      update the dconf profile)
    - add debian/gdm.preinst
    - add debian/{xterm,xsession}.desktop
    - merge debian/{gdm,gdm-autologin}.pam
    - merge debian/gdm.config tweak for lightdm
    - merge debian/gdm.init changes
    - debian/patches:
      - add ubuntu_run_xsession.d.patch
      - add ubuntu_dont_catch_sigsegv.patch (updated)
      - add ubuntu_upstart_event.patch
      - add ubuntu_no_debug.patch
      - add ubuntu_xresources_is_a_dir.patch
      - add ubuntu_no_LANG_setting_in_Xsession.patch (updated)
      - drop ubuntu_plymouth.patch (upstream)
  * TODO: the following Ubuntu patches need to be ported:
    - 30_don_t_save_failsafe_session.patch
    - 33-multi-keyboard-layouts.patch
    - 42_no_ecryptfs_autologin.patch
    - ubuntu_guest_session.patch

  [ Rico Tzschichholz ]

