=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gdm
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
Build-Depends: gnome-pkg-tools (>= 0.16.3),
               debhelper (>= 8.1.0),
               cdbs,
               dh-autoreconf,
               intltool (>= 0.40.0),
               libdbus-glib-1-dev (>= 0.74),
               libglib2.0-dev (>= 2.33.2),
               libgtk-3-dev (>= 2.91.1),
               libpango1.0-dev (>= 1.3.0),
               libcanberra-gtk3-dev (>= 0.4),
               libfontconfig1-dev (>= 2.5.0),
               libupower-glib-dev (>= 0.9.0),
               libaccountsservice-dev (>= 0.6.12),
               gnome-settings-daemon-dev (>= 2.91.2),
               gnome-settings-daemon (>= 2.91.2),
               libck-connector-dev,
               libnss3-dev (>= 3.11.1),
               libx11-dev,
               libxau-dev,
               libxrandr-dev,
               libxt-dev,
               libxext-dev,
               libplymouth-dev,
               check (>= 0.9.4),
               libgirepository1.0-dev (>= 0.9.12),
               gobject-introspection (>= 0.10.7-1~),
               libpam0g-dev,
               libxdmcp-dev,
               libwrap0-dev,
               libxft-dev,
               libxi-dev,
               libxinerama-dev,
               yelp-tools,
               libselinux1-dev [linux-any],
               libattr1-dev [linux-any],
               iso-codes,
               libaudit-dev [linux-any],
               docbook-xml,
               gsettings-desktop-schemas
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/gdm3/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gdm3/

Package: gdm
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
         adduser,
         libpam-modules (>= 0.72-1),
         libpam-runtime (>= 0.76-13.1),
         gnome-session-bin (>= 3.6),
         gnome-settings-daemon (>= 3.2),
         metacity (>= 1:2.34.2),
         policykit-1-gnome,
         upower,
         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
         lsb-base (>= 3.2-14),
         librsvg2-common,
         accountsservice (>= 0.6.12),
         gsettings-desktop-schemas,
         libglib2.0-bin (>= 2.26),
         dconf-tools (>= 0.12.1-2),
         dconf-gsettings-backend (>= 0.12.1-2),
         x11-common (>= 1:7.6+11),
         x11-xserver-utils
Recommends: zenity,
            xserver-xephyr,
            x11-xkb-utils,
            xserver-xorg,
            at-spi2-core,
            gnome-icon-theme,
            gnome-icon-theme-symbolic
Suggests: libpam-gnome-keyring,
          gnome-orca,
          gok,
          gnome-shell
Provides: x-display-manager
Breaks: gnome-panel (<< 3.0),
        gnome-screensaver (<< 2.17.7),
        gnome-orca (<< 2.30.0-2),
        gnome-control-center (<< 3.0),
        gnome-shell (<< 3.5)
Description: Next generation GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it 
 asks for a login and starts X sessions.
 .
 It provides all the functionality of XDM, including XDMCP support for
 managing remote displays, and extends it with the ability to start X 
 servers on demand.
 .
 The greeter is written using the GNOME libraries and hence looks like a 
 GNOME application - even to the extent of supporting themes! 
 .
 This package contains the next generation GDM, which was developed 
 using the technologies on which GNOME 3 is based.
