## gdm 3.8.4

=== debian/changelog ===
gdm (3.8.4-0ubuntu2) saucy; urgency=low

  * debian/patches/ubuntu_export_XDG_CURRENT_DESKTOP.patch:
    - Set $XDG_CURRENT_DESKTOP if specified in the xsession file.
      (LP: #1212408)

 -- Tim Lunn <tim@feathertop.org>  Tue, 02 Sep 2013 12:01:11 +1000

gdm (3.8.4-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Drop obsolete fallback greeter patches:
    - 07_libexec-paths.patch
    - 45_time_display_on_greeter.patch
  * Merge some changes from Debian's gdm3:
    - debian/control.in:
      + Depend on dconf-cli instead of dconf-tools (LP: #1189169)
    - debian/gdm.lintian-overrides, debian/source.lintian-overrides:
      + Add an override for 'gdm: unused-debconf-template gdm/daemon_name'
      + Drop unused overrides to please lintian
    - debian/gdmflexiserver.1.pod: Fix grammar, thanks to lintian
    - debian/gdm.manpages, debian/libgdm.manpages: Move gdmflexiserver manpage
      to libgdm package so it follows the executable
    - Generate templates from PO files

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 30 Jul 2013 20:04:14 -0400

gdm (3.8.1.1-0ubuntu5) saucy; urgency=low

  [ Simon McVittie ]
  * Tell dh_shlibdeps to look in libgdm to satisfy the shared library
    dependencies, and add a shlibs.local for them

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Jun 2013 16:22:02 -0400

gdm (3.8.1.1-0ubuntu4) saucy; urgency=low

  * Add debian/libgdm.dirs accidentally missed in last upload

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Jun 2013 16:09:54 -0400

gdm (3.8.1.1-0ubuntu3) saucy; urgency=low

  * Split out libgdm into a separate package (LP: #1162849)

 -- Tim Lunn <tim@feathertop.org>  Fri, 07 Jun 2013 05:44:05 +1000

gdm (3.8.1.1-0ubuntu2) saucy; urgency=low

  * debian/control.in:
    - Depend on gnome-shell since it provides the only greeter in Ubuntu
    - Don't depend on metacity since there is no fallback greeter any more
    - Drop suggests on gok
 
 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Jun 2013 10:50:45 -0400

gdm (3.8.1.1-0ubuntu1) saucy; urgency=low

  [ Tim Lunn ]
  * New upstream release
  * debian/patches/ubuntu_dont_catch_sigsegv.patch:
    - Dropped, obsolete
  * debian/rules:
    - Don't rename gdm binary since that's already been
      done in the new version

  [ Jeremy Bicha ]
  * debian/control.in: Bump minimum glib
  * debian/watch: Watch for unstable releases
  * debian/patches/00git_logind_check.patch:
    - Dropped, applied in new release
  * debian/patches/08_frequent-users_greeter.patch: Refreshed

  [ Robert Ancell ]
  * New upstream release
  * debian/patches/ubuntu_daemon_autologin_tracking.patch:
  * debian/patches/ubuntu_ensure_dirs.patch:
  * debian/patches/ubuntu_slave-only-set-up-autologin.patch:
    - Applied upstream

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 31 May 2013 22:36:08 -0400

gdm (3.6.1-0ubuntu6) saucy; urgency=low

  * Merge changes from lightdm to fix plymouth race (LP: #982889)
    - lightdm.upstart: Add a start condition on plymouth-ready, and
      drop conditions already handled by plymouth-splash.
    - control: Depend on the new plymouth version that provides
      plymouth-ready.

 -- Tim Lunn <tim@feathertop.org>  Mon, 27 May 2013 12:41:07 +0200

gdm (3.6.1-0ubuntu5) saucy; urgency=low

  * Add debian/patches/00git_logind_check.patch: Fix checks for logind.
  * Switch to logind for session tracking. (LP: #1174380)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 Apr 2013 10:48:29 -0700

gdm (3.6.1-0ubuntu4) raring; urgency=low

  * debian/gdm-autologin.pam:
    Same changes as in debian/gdm.pam; this file was overlooked in
    the fix of LP: #952185 in version 3.6.1-0ubuntu3.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 11 Mar 2013 23:26:00 -0700

gdm (3.6.1-0ubuntu3) raring; urgency=low

  * debian/gdm.pam:
    Make pam_env read ~/.pam_environment (LP: #952185). This needs
    to be stated explicitly, since the fix of
    http://bugs.debian.org/611136 is about to make it into Raring.

  [ Steve Langasek ]
  * adjust pam_env handling to match that in lightdm: only call pam_env at
    the end, which lets us call it only twice instead of three times.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 12 Feb 2013 22:27:00 +0100

gdm (3.6.1-0ubuntu2) raring; urgency=low

  * No-change rebuild against libaudit1 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 14 Jan 2013 11:27:32 -0500
