=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: gnome-pkg-tools (>= 0.16.3),
                debhelper (>= 8.1.0),
                cdbs,
                dh-autoreconf,
                intltool (>= 0.40.0),
                libdbus-glib-1-dev (>= 0.74),
-               libglib2.0-dev (>= 2.33.2),
+               libglib2.0-dev (>= 2.35.0),
                libgtk-3-dev (>= 2.91.1),
                libpango1.0-dev (>= 1.3.0),
                libcanberra-gtk3-dev (>= 0.4),
@@ -23,14 +23,14 @@
                libaccountsservice-dev (>= 0.6.12),
                gnome-settings-daemon-dev (>= 2.91.2),
                gnome-settings-daemon (>= 2.91.2),
-               libck-connector-dev,
+               libsystemd-login-dev (>= 186),
+               libsystemd-daemon-dev,
                libnss3-dev (>= 3.11.1),
                libx11-dev,
                libxau-dev,
                libxrandr-dev,
                libxt-dev,
                libxext-dev,
-               libplymouth-dev,
                check (>= 0.9.4),
                libgirepository1.0-dev (>= 0.9.12),
                gobject-introspection (>= 0.10.7-1~),
@@ -40,6 +40,7 @@
                libxft-dev,
                libxi-dev,
                libxinerama-dev,
+               libplymouth-dev [linux-any],
                yelp-tools,
                libselinux1-dev [linux-any],
                libattr1-dev [linux-any],
@@ -47,22 +48,24 @@
                libaudit-dev [linux-any],
                docbook-xml,
                gsettings-desktop-schemas
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/gdm3/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gdm3/
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gdm3/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gdm3/
 
 Package: gdm
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${gir:Depends},
+         libgdm (= ${binary:Version}),
          adduser,
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
+         libpam-systemd,
          gnome-session-bin (>= 3.6),
          gnome-settings-daemon (>= 3.2),
-         metacity (>= 1:2.34.2),
+         gnome-shell,
+         plymouth (>= 0.8.8-0ubuntu6.1),
          policykit-1-gnome,
          upower,
          gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
@@ -70,8 +73,8 @@
          librsvg2-common,
          accountsservice (>= 0.6.12),
          gsettings-desktop-schemas,
-         libglib2.0-bin (>= 2.26),
-         dconf-tools (>= 0.12.1-2),
+         libglib2.0-bin (>= 2.35.0),
+         dconf-cli (>= 0.12.1-2),
          dconf-gsettings-backend (>= 0.12.1-2),
          x11-common (>= 1:7.6+11),
          x11-xserver-utils
@@ -83,9 +86,7 @@
             gnome-icon-theme,
             gnome-icon-theme-symbolic
 Suggests: libpam-gnome-keyring,
-          gnome-orca,
-          gok,
-          gnome-shell
+          gnome-orca
 Provides: x-display-manager
 Breaks: gnome-panel (<< 3.0),
         gnome-screensaver (<< 2.17.7),
@@ -105,3 +106,24 @@
  .
  This package contains the next generation GDM, which was developed 
  using the technologies on which GNOME 3 is based.
+
+Package: libgdm
+Section: libs
+Architecture: linux-any kfreebsd-any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${gir:Depends}
+Breaks: gdm (<< 3.8.3-3~)
+Replaces: gdm (<< 3.8.3-3~)
+Description: Next generation GNOME Display Manager (private shared libraries)
+ GDM provides the equivalent of a "login:" prompt for X displays: it
+ asks for a login and starts X sessions.
+ .
+ It provides all the functionality of XDM, including XDMCP support for
+ managing remote displays, and extends it with the ability to start X
+ servers on demand.
+ .
+ The greeter is written using the GNOME libraries and hence looks like a
+ GNOME application - even to the extent of supporting themes!
+ .
+ This package contains the shared library required by gnome-shell.
