=== debian/rules ===
--- 
+++ 
@@ -14,23 +14,18 @@
 			    X_SERVER_PATH="/usr/bin" \
 			    X_SERVER="/usr/bin/Xorg"
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
-		--enable-ipv6=yes \
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-ipv6=yes \
 		--with-at-spi-registryd-directory=/usr/lib/at-spi \
 		--with-check-accelerated-directory=/usr/lib/gnome-session \
-		--with-consolekit-directory=/usr/lib/ConsoleKit \
+		--without-console-kit \
+		--with-systemd \
+		--with-systemdsystemunitdir=/lib/systemd/system/ \
 		--with-authentication-agent-directory=/usr/lib/policykit-1-gnome \
 		--with-sysconfsubdir=gdm \
 		--with-working-directory=/var/lib/gdm \
-		--with-xauth-dir=/run/gdm \
-		--with-pid-file=/run/gdm.pid \
-		--with-log-dir=/var/log/gdm \
-		--with-screenshot-dir=/run/gdm/greeter \
 		--with-defaults-conf=/usr/share/gdm/defaults.conf \
 		--with-lang-file=/etc/default/locale \
 		--with-incomplete-locales \
-		--without-systemd \
-		--without-systemdsystemunitdir \
 		--with-initial-vt=7 \
 		--disable-split-authentication
 
@@ -39,14 +34,21 @@
 endif
 
 DEB_MAKE_EXTRA_ARGS += authdir=/var/lib/gdm
+		
+ifeq (linux,$(DEB_HOST_ARCH_OS))
+	DEB_CONFIGURE_EXTRA_FLAGS += --with-plymouth
+else
+	DEB_CONFIGURE_EXTRA_FLAGS += --with-vt-switch-workaround
+endif
+
 
 DEB_DH_INSTALLINIT_ARGS := --noscripts
-DEB_DH_MAKESHLIBS_ARGS_gdm := --no-act
+DEB_DH_MAKESHLIBS_ARGS_libgdm := -V --no-act
+DEB_DH_SHLIBDEPS_ARGS_ALL := -Llibgdm
 
-DEB_DH_GIREPOSITORY_ARGS_gdm := -l$(CURDIR)/gui/libgdm /usr/lib/gdm/
+DEB_DH_GIREPOSITORY_ARGS_libgdm := -l$(CURDIR)/gui/libgdm /usr/lib/gdm/
 
 binary-install/gdm::
-	mv debian/gdm/usr/sbin/gdm-binary debian/gdm/usr/sbin/gdm
 	dh_installpam -pgdm --name=gdm-autologin
 	rm -rf debian/gdm/run
 	rm -rf debian/gdm/usr/include
@@ -59,9 +61,11 @@
 	rm -vf debian/gdm/usr/share/gdm/greeter/applications/gok.desktop
 	# we do not currently need a PK agent in the gdm session
 	rm debian/gdm/usr/share/gdm/greeter/applications/polkit-gnome-authentication-agent-1.desktop
-	cd debian/gdm/usr/lib/gdm && \
+
+binary-install/libgdm::
+	cd debian/libgdm/usr/lib/gdm && \
 		rm -f lib*.a lib*.la lib*.so *.gir
-	cd debian/gdm/usr/lib/gnome-shell && \
+	cd debian/libgdm/usr/lib/gnome-shell && \
 		ln -s ../gdm/*.typelib . && ln -s ../gdm/libgdm*.so.? .
 
 INFILES := $(wildcard debian/*.desktop.in)
@@ -73,12 +77,11 @@
 build/gdm:: $(OUTFILES)
 
 MANPAGES := $(patsubst %.pod,%,$(wildcard debian/*.pod))
-
 common-build-arch:: $(MANPAGES)
 
 clean::
 	rm -f $(MANPAGES)
-	rm -f $(OUTFILES) config.guess
+	rm -f $(OUTFILES) config.guess config.sub
 	rm -f data/gdm.schemas data/gdm.schemas.in
 
 %: %.pod
